Update calendar
Updates calendar credentials (client_secret, refresh_token) or metadata.
Path Parameters
- Type: stringobject
_id requiredCalendar ID
Headers
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
Body·
application/json
- Type: stringclient
_secret min length:1The client secret for the calendar platform authentication
- metadata
JSON object containing metadata to associate with the calendar
- Type: stringrefresh
_token min length:1The refresh token for accessing the calendar platform
Responses
- application/json
- 400
Invalid input
- 404
Calendar not found
Request Example for patch/api/v1/calendars/{object_id}
curl https://app.attendee.dev/api/v1/calendars/cal_abcdef1234567890 \
--request PATCH \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"client_secret": "GOCSPX-NewClientSecret123",
"refresh_token": "1//05o3zfluegTFVCgYICGHGAUSNgF-L9Ir23dcclPCJW7KmzPhsQaNFcAzNwQkV6uM1gIGID8nBelYDPtbIr123"
}'
{
"id": "cal_abcdef1234567890",
"platform": "google",
"state": "connected",
"metadata": {
"tenant_id": "1234567890"
},
"deduplication_key": "user-abcd",
"connection_failure_data": null,
"created_at": "2025-01-13T10:30:00.123456Z",
"updated_at": "2025-01-13T10:30:00.123456Z"
}